Bug 891275 - Missing (build)requires rubygem-json
Missing (build)requires rubygem-json
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rubygem-activesupport (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vít Ondruch
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1031082
  Show dependency treegraph
 
Reported: 2013-01-02 07:21 EST by Mark Chappell
Modified: 2014-02-05 17:56 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1031082 (view as bug list)
Environment:
Last Closed: 2014-02-05 17:56:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mark Chappell 2013-01-02 07:21:26 EST
Description of problem:

When rebuilding the RPM with the version of rubygem-rdoc from the ruby package rather than from the separate rubygem-rdoc package I got the following error:

test_struct_encoding(TestJSONEncoding):
NameError: uninitialized constant TestJSONEncoding::JSON
    /builddir/build/BUILDROOT/rubygem-activesupport-3.2.8-1.el7.it.noarch/usr/share/gems/gems/activesupport-3.2.8/test/json/encoding_test.rb:264:in `test_struct_encoding'
    /usr/share/gems/gems/mocha-0.12.1/lib/mocha/integration/mini_test/version_230_to_2101.rb:28:in `run'
    /usr/share/ruby/test/unit/testcase.rb:17:in `run'

Eventually tracked this down to rubygem-json not being installed.

I'm not 100% if this is normally a runtime requirement or if it's just a test-time build require, but it should probably be listed rather than relying on rubygem-rdoc to pull it in.


Version-Release number of selected component (if applicable):

rubygem-activesupport-3.2.8-1.fc18
Comment 1 Vít Ondruch 2013-01-02 11:23:56 EST
Hi Mark,

Not sure how to approach it. The true is that there is needed some JSON engine for build, which could be fixed.

Nevertheless, the runtime Require is quite open to me. It should be up to user which JSON engine, thats why ActiveSupport depends on multi_json. In upstream Ruby, there is always available default JSON, but this default is removed in Fedora, as is removed default bundling of RDoc, Rake, BigDecimal, etc. This has advantage, that you save space if you like to use different JSON engine, while there is no default anymore. We could make Ruby depend on rubygem-json, but this hard dependency would be step back again.

So I'll keep the issue open for the moment and we will see. Please push me harder if this is of high importance to you.
Comment 2 Mark Chappell 2013-01-02 11:29:15 EST
Hi Vit,

Very low importance, mostly just a correctness thing.
Comment 3 Vít Ondruch 2013-05-27 06:51:12 EDT
Actually, reiterating this bug, there is always OkJson (provided by multi_json) available for runtime, if no other JSON engine is available. So this is really just test suite bug, which at the end does not apply to Fedora, since there is JSON always installed, due to RDoc.

Now I am more inclined to reject the issue ...
Comment 4 Fedora End Of Life 2013-12-21 10:16:23 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2014-02-05 17:56:40 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.